gnu.trove

## Class THashMap.EntryView

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - gnu.trove.THashMap.EntryView

All Implemented Interfaces:
  java.lang.Iterable<java.util.Map.Entry<K,V>>, java.util.Collection<java.util.Map.Entry<K,V>>, java.util.Set<java.util.Map.Entry<K,V>>

Enclosing class:
  THashMap<K,V>

    protected class THashMap.EntryView
    extends java.util.AbstractSet<E>

a view onto the entries of the map.

### Constructor Summary

Constructors
`protected` `THashMap.EntryView()`

### Method Summary

Methods
`boolean` `containsElement(java.util.Map.Entry<K,V> entry)`
`java.util.Iterator<java.util.Map.Entry<K,V>>` `iterator()`
`protected K` `keyForEntry(java.util.Map.Entry<K,V> entry)`
`boolean` `removeElement(java.util.Map.Entry<K,V> entry)`
`protected V` `valueForEntry(java.util.Map.Entry<K,V> entry)`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Set

`equals, hashCode, removeAll`

### Constructor Detail

#### THashMap.EntryView

    protected THashMap.EntryView()

### Method Detail

#### iterator

    public java.util.Iterator<java.util.Map.Entry<K,V>> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<java.util.Map.Entry<K,V>>`
Specified by:
  `iterator` in interface `java.util.Collection<java.util.Map.Entry<K,V>>`
Specified by:
  `iterator` in interface `java.util.Set<java.util.Map.Entry<K,V>>`

#### removeElement

    public boolean removeElement(java.util.Map.Entry<K,V> entry)

#### containsElement

    public boolean containsElement(java.util.Map.Entry<K,V> entry)

#### valueForEntry

    protected V valueForEntry(java.util.Map.Entry<K,V> entry)

#### keyForEntry

    protected K keyForEntry(java.util.Map.Entry<K,V> entry)